<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			
<!-- menu with link -->
                <td valign="bottom" style="padding-right:4px;"><img src="images/abullet.png" width="15" height="17"/></td>
                <td valign="bottom" ><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<!--end-->
			  
			
            </xsl:when>
            
            <xsl:otherwise>
			
<!-- menu click link -->			
                <td valign="bottom" style="padding-right:4px;"><img src="images/bullet.png" width="15" height="17"/></td>
                <td valign="bottom" ><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td><!--end-->
			  
			  
        </xsl:otherwise>
		</xsl:choose>
        <xsl:if test="position()!=last()">
                <td><img src="images/line.gif" width="1" height="50" hspace="34"/></td>
<!-- menu no last-->  		
<!--end-->		
		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
