<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>

<html>
<!-- vap-57 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
	<tr>
		<td valign="top">
			<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
				<tr>
					<td height="300" colspan="3" style="background:url('images/header_bg1.gif');">
						<table width="100%" height="300" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td width="45%" height="300" style="background:url('images/header.jpg') no-repeat;">
									<table width="100%" border="0" cellpadding="0" cellspacing="0">
										<tr>
											<td align="right" width="580" height="300" style="background:url('images/header_1.jpg'); background-repeat:no-repeat; background-position:right;">
												<table width="100%" border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td width="360" align="left">
															<div style="width: 360px; height: 0;"><span></span></div>
														</td>
														<td colspan="2" align="left" valign="top">
															<!-- MENU -->
															<table width="70"  border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<td colspan="2"><div style="width: 0; height: 40px;"><span></span></div></td>
																</tr>				                              
																<xsl:call-template name="TOP-MENU"/>
															</table>
															<!-- END MENU -->
														</td>
														<td><div style="width: 150px; height: 0;"><span></span></div></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
								<td width="55%">
									<table width="100%" border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/header_bg2.gif');">
										<tr>
											<td width="100%" height="300" style="background-image: url('images/header_2.jpg'); background-position: top right; background-repeat: no-repeat;">
												<table width="100%" border="0" cellpadding="0" cellspacing="0">
								                    <tr>
														<td height="60" valign="bottom" align="right">
															<!-- LOGO -->
															<table  border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<td width="70" rowspan="2"><div align="left" style="width:70px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></div></td>
																	<td align="left" class="company">
																		<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
																	</td>
																	<td rowspan="2"><div style="width: 53px; height: 0;"><span></span></div></td>
																</tr>
																<tr>
																	<td align="left" class="slogan">
																		<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
																	</td>
																</tr>
															</table>
															<!-- END LOGO -->
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td width="235" style="background:url('images/xian.gif');"><div style="width: 235px; height: 0;"><span></span></div></td>
					<td rowspan="2" style="width:6px;background:url('images/bian.gif');"><div style="width: 6px; height: 0;"><span></span></div></td>
					<td width="80%" height="40" style="background:url('images/text_header_bg.gif');">
						<!-- TEXT HEADER -->
						<table  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td><div style="width: 27px; height: 0;"><span></span></div></td>
								<td class="text-header">
									<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
								</td>
								<td width="17" style="padding-left:10px;"><img src="images/text_button.gif" border="0" alt="" width="17" height="17"/></td>
							</tr>
				        </table>
						<!-- END TEXT HEADER -->
					</td>
				</tr>
				<tr>
					<td valign="top" style="background-color: #FFFFFF;">
						<table width="100%"  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td height="200">
									<table width="100%" border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td><div style="width: 20px; height: 0;"><span></span></div></td>
							                <td>
												<!--  SUBMENU -->
							                    <table width="100%"  border="0" cellspacing="1" cellpadding="0">
													<xsl:call-template name="SUB-MENU">
														<xsl:with-param name="pageID" select="@ID"/>                            
													</xsl:call-template>  
							                    </table>
							                    <!-- END SUBMENU -->
							                </td>
											<td><div style="width: 30px; height: 0;"><span></span></div></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td height="100%" align="center" style="background-color: #FFFFFF;" valign="top">
						<table width="95%"  border="0" cellpadding="0" cellspacing="0">
							<tr>
								<!--CONTENT -->
								<td height="100%" valign="top" class="pageContent" align="left" name="SB_stretch" style="padding-left:10px;padding-top:15px">
									<xsl:apply-templates select="PAGE-CONTENT"/>
								</td>
								<!-- END CONTENT -->
							</tr>
						</table>         
					</td>
				</tr>
				<tr>
					<td height="32" colspan="3" align="center" style="background:url('images/bottom_bg.gif');">
						<!-- BOOTTOM MENU -->
						<table border="0" cellspacing="0" cellpadding="0">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- BOOTTOM MENU -->
					</td>
				</tr>
				<tr>
					<td height="53" colspan="3" align="center" style="background:url('images/footer_bg.gif');">
						<!-- FOOTER -->
						<table width="100%"  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td align="center" class="footer">
									<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
								</td>
							</tr>
				        </table>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</body>
</html>



</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td>
				<img src="images/sub_button.gif" border="0" alt=""/>
				</td>
				<td class="asubmenu" style="padding-right: 5px; width: 100%;">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr><td style="padding-right:5px">
				        <a href="{@HREF}">
				           <img src="images/sub_button.gif" border="0" alt=""/>
				        </a>
				        </td>
					<td style="padding-right: 5px; width: 100%;">
					<a href="{@HREF}"  class="submenu">
					   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</a>
				    </td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	  <tr>
	      <td colspan="2" height="20px" style="background:url('images/hr.gif');background-repeat:repeat-x;background-position:center;" width="100%">
              <div style="height:1px"></div>
              </td>	
	 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		
			<td  align="center" style="padding-left:8px; padding-right:8px">
			  <a href="{@HREF}" class="abmenu" id="abmenu">
			  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			  </a>
			</td>
            
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   
		<td  align="center" style="padding-left:8px; padding-right:8px">
			<a href="{@HREF}" class="bmenu" id="bmenu{position()}">
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</a>
		</td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10px" align="center" rowspan="2">
			    <img src="images/bottom_1.gif" />
			</td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

