<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
             	<table cellpadding="0" cellspacing="0" border="0" style="margin-right:19px; float:left;">
             	<tr>
             	<td align="center"><a href="{@HREF}"><img src="images/mark.gif" width="13" height="15" border="0" alt=""/></a></td>
             	</tr>
             	<tr>
             	<td class="menuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
             	</tr>
             	</table>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
             	<table cellpadding="0" cellspacing="0" border="0" style="margin-right:19px; float:left;">
             	<tr>
             	<td align="center"><a href="{@HREF}"><img src="images/mark.gif" width="13" height="15" border="0" alt=""/></a></td>
             	</tr>
             	<tr>
             	<td class="menuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
             	</tr>
             	</table>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>

	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
       			<table cellpadding="0" cellspacing="0" border="0" width="100%">
       			<tr>
       			<td class="secondmenumark"><img src="images/2ndmenu_mark.gif" width="14" height="14" border="0" alt=""/></td>
       			<td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
       			</tr>
       			</table>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        			<table cellpadding="0" cellspacing="0" border="0" width="100%">
        			<tr>
        			<td class="secondmenumark"><a href="{@HREF}"><img src="images/2ndmenu_mark.gif" width="14" height="14" border="0" alt=""/></a></td>
        			<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        			</tr>
        			</table>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
   			<div class="second-div1"><spacer/></div><div class="second-div2"><spacer/></div>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
