<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td>
          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="40px">
            <tr>
              <td  width="11px" style="background-image: url(images/1.jpg);" height="10px">
				<div style="width: 11px; height: 0;"><span></span></div>
              </td>
              <td colspan="2" style="background-image: url(images/7.jpg);" height="10px">
              </td>
              <td width="11px" style="background-image: url(images/4.jpg);" height="10px">
				<div style="width: 11px; height: 0;"><span></span></div>
              </td>
            </tr>
            <tr>
              <td width="11px" style="background-image: url(images/2.jpg)">
              </td>
              <td  width="10px" style="background-image: url(images/7.jpg);vertical-align: middle">
                <a href="{@HREF}" style=";vertical-align: middle">
                  <img src="images/topmenu1.jpg" border="0"/>
                </a>
              </td>
              <td  style="background-image: url(images/7.jpg); padding-left:2px" >
                <a href="{@HREF}" class="menu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
              </td>
              <td width="11px" style="background-image: url(images/5.jpg)">
              </td>
            </tr>
            <tr>
              <td  width="11px" style="background-image: url(images/3.jpg);" height="10px">
				<div style="width: 11px; height: 0;"><span></span></div>
              </td>
              <td colspan="2" style="background-image: url(images/7.jpg);" height="10px">
              </td>
              <td width="11px" style="background-image: url(images/6.jpg);" height="10px">
				<div style="width: 11px; height: 0;"><span></span></div>
              </td>
            </tr>
          </table>
        </td>
      </xsl:when>
      
      
      <xsl:otherwise>
        <td  width="10px" style="vertical-align:middle">
          <a href="{@HREF}" style="vertical-align:middle">
            <img src="images/topmenu.jpg" border="0"/>
          </a>
        </td>
        <td style="padding-left: 5px;padding-right:5px">
          <a href="{@HREF}" class="amenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td>
		<div style="width: 21px; height: 0;"><span></span></div>
      </td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>